package com.ruoyi.project.patrol.dev.mapper;

import java.util.List;
import com.ruoyi.project.patrol.dev.domain.TDevSandbox;

/**
 * 应急沙箱Mapper接口
 * 
 * @author admin
 * @date 2023-11-02
 */
public interface TDevSandboxMapper 
{
    /**
     * 查询应急沙箱
     * 
     * @param id 应急沙箱主键
     * @return 应急沙箱
     */
    public TDevSandbox selectTDevSandboxById(Long id);

    /**
     * 查询应急沙箱列表
     * 
     * @param tDevSandbox 应急沙箱
     * @return 应急沙箱集合
     */
    public List<TDevSandbox> selectTDevSandboxList(TDevSandbox tDevSandbox);

    /**
     * 新增应急沙箱
     * 
     * @param tDevSandbox 应急沙箱
     * @return 结果
     */
    public int insertTDevSandbox(TDevSandbox tDevSandbox);

    /**
     * 修改应急沙箱
     * 
     * @param tDevSandbox 应急沙箱
     * @return 结果
     */
    public int updateTDevSandbox(TDevSandbox tDevSandbox);

    /**
     * 删除应急沙箱
     * 
     * @param id 应急沙箱主键
     * @return 结果
     */
    public int deleteTDevSandboxById(Long id);

    /**
     * 批量删除应急沙箱
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTDevSandboxByIds(Long[] ids);
}
